
import { useProfile } from "./useProfile"
export const useHasUserPermission = (permission) => {
  const { profile } = useProfile();

  if (profile && permission && typeof permission === "string") {
    return profile?.featurePermissions.includes(permission);
  }
  
  return false;
};
